package com.manalo.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.manalo.domain.User;

@Service
@Transactional
public class UserDao {

	@Autowired
	private SessionFactory sessionFactory;
	
	public Session getSession() {
		
		return sessionFactory.getCurrentSession();
	}

	public Integer addUser(User user) {

		return (Integer) getSession().save(user);
	}

	public User getUserByUserName(String username) {

		String hql = "from User where username = :username";

		Query query = getSession().createQuery(hql);

		query.setString("username", username);

		return (User) query.uniqueResult();
	}

	@SuppressWarnings("unchecked")
	public List<User> getUsers() {

		Criteria criteria = getSession().createCriteria(User.class);
		
		return criteria.list();
	}

}
